Subject: Re: [BUG] - git rebase -i performs rebase when it shouldn't?

From: Michal Vitecek <[email-masked]>
Date: Mon, 12 Apr 2010 12:50:34 +0200

On 10.04.2010 21:58 CEST, Johannes Sixt wrote:
>Am 10.04.2010 06:39, schrieb Junio C Hamano:
>>I used to religiously rebase slushy topics that are not in any stable
>>integration branches (we used to have only 'master' and 'pu'), and
>>
>>	git rebase master foo
>>         git rebase master bar
>>         git rebase master baz
>>
>>was far easier to type than
>>
>>	git checkout foo&&  git rebase master
>>	git checkout bar&&  git rebase master
>>	git checkout baz&&  git rebase master
>
>I'm actually very glad that the current interface is the way it is -
>because it can do the rebase *without* the checkout. This way you can
>save a lot of recompilation due to changed timestamps if the topic is
>based on an old version.
>
>Only that some (all?) variants of rebase still unnecessarily do the
>checkout...

 Is there any chance for merge to behave the same? I really like that I
 don't have to do a checkout prior rebasing.

        Thanks,
-- 
		Michal Vitecek		([email-masked])